From 13e9b32a309c53b4582f0a6d947932dea0a0f17b Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Fri, 10 Apr 2015 15:16:19 -0400
Subject: [PATCH] readme add Kevlin Henney quote

   "A common fallacy is to assume authors of incomprehensilbe code
    will somehow be able to express themselves lucidly and clearly
    in comments." -- Kevlin Henney

   "A programmer who cannot explain their ideas clearly in natural
    language is incapable of writing readable code." -- Tim Daly
---
 changelog                      |    2 ++
 patch                          |    9 +++++++--
 readme                         |    8 ++++++++
 src/axiom-website/patches.html |    2 ++
 4 files changed, 19 insertions(+), 2 deletions(-)

diff --git a/changelog b/changelog
index f323b80..64cb615 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150410 tpd src/axiom-website/patches.html 20150410.01.tpd.patch
+20150410 tpd readme add Kevlin Henney quote
 20150408 tpd src/axiom-website/patches.html 20150408.01.tpd.patch
 20150408 tpd src/doc/msgs/co-eng.msgs remove unused file
 20150408 tpd src/interp/Makefile remove co-eng.msgs references
diff --git a/patch b/patch
index 2c38596..4215460 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,8 @@
-src/doc/msgs/co-eng.msgs remove unused file
+readme add Kevlin Henney quote
 
-These messages are never used.
+   "A common fallacy is to assume authors of incomprehensilbe code
+    will somehow be able to express themselves lucidly and clearly
+    in comments." -- Kevlin Henney
+
+   "A programmer who cannot explain their ideas clearly in natural
+    language is incapable of writing readable code." -- Tim Daly
diff --git a/readme b/readme
index 1824994..b0e9311 100644
--- a/readme
+++ b/readme
@@ -300,6 +300,14 @@ To quote Fred Brooks, "The Mythical Man-month"
    and flowcharts ... The solution, I think, is to merge the files, to
    incorporate the documentation in the source program."
 
+
+   "A common fallacy is to assume authors of incomprehensilbe code
+    will somehow be able to express themselves lucidly and clearly
+    in comments." -- Kevlin Henney
+
+   "A programmer who cannot explain their ideas clearly in natural
+    language is incapable of writing readable code." -- Tim Daly
+
 As you can already see from this document the whole of the Axiom
 effort is structured around literate programs. Every directory has a
 Makefile.pamphlet file which explains details of that directory. The
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8c9a015..5705359 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -5006,6 +5006,8 @@ books/bookvol9 inline all error messages<br/>
 books/bookvol5 inline msgs, add trace chapter head<br/>
 <a href="patches/20150408.01.tpd.patch">20150408.01.tpd.patch</a>
 src/doc/msgs/co-eng.msgs remove unused file<br/>
+<a href="patches/20150410.01.tpd.patch">20150410.01.tpd.patch</a>
+readme add Kevlin Henney quote<br/>
  </body>
 </html>
 
-- 
1.7.5.4

